Slider & progress for Javascript

Updated on May 17, 2021
Learn More

Use the slider and progress components to let users pick values from a continuous or discrete range, rate items and clearly give progress feedback to users.

With a wide variety of customization options you can easily fine-tune the UX to the need of your users. Interact ans et values programmatically on the fly.

Use it for picking values, showing progress with the following features:

  • Single and multiple handle sliders
  • Continuous slider
  • Discrete slider
  • Custom steps for slider and progress
  • Custom icon support
  • Rating slider
  • Color preset support


Forms demos available for other frameworks.

Viewing demos & code for

Javascript Slider & progress Slider & progress for Javascript

Slider & progress - Slider

Change demo
Slider
Javascript Slider examples with single, multiple handles supporting icons, inline values, steps, floating and discrete slider. Plain JS api for usage everywhere.
Copy code

Slider & progress - Date Slider

Change demo
Date Slider
Javascript Slider demo as a date picker. Use this for picking the day of week where simplicity is essential. Plain JS api for usage everywhere.
Copy code
var dayNames = ['Sun', 'Mon', 'Tue', 'Wed', 'Thu', 'Fri', 'Sat'],
    monthNames = ['Jan', 'Feb', 'Mar', 'Apr', 'May', 'Jun', 'Jul', 'Aug', 'Sep', 'Oct', 'Nov', 'Dec'],
    d = new Date(),
    diff = d.getDate() - d.getDay(),
    nextSunday = new Date(d.setDate(diff + 7)),
    slider = document.getElementById('slider'),
    nextWeek = {};

function setText(d) {
    document.querySelector('.md-date').innerHTML = monthNames[d.getMonth()] + " " + d.getDate();
}

slider
    .addEventListener('change', function (ev) {
        setText(nextWeek[Math.round(this.value)]);
    });


mobiscroll.form('#demo', {
    lang: ' ',
    theme: ' ',
    themeVariant: ' '
});

mobiscroll.slider('#slider', {
    theme: ' ',
    themeVariant: ' ',
    lang: ' ',
    onInit: function (event, inst) {
        var labels = slider.parentNode.querySelectorAll('.mbsc-progress-step-label');

        for (var i = 0; i < labels.length; ++i) {
            nextWeek[Math.round(labels[i].innerHTML)] = new Date(nextSunday.getFullYear(), nextSunday.getMonth(), nextSunday.getDate() + i); // generate nextWeek object
            labels[i].innerHTML = dayNames[i];
        }
        setText(nextSunday);
    }
});
<div id="demo" class="md-dateslider">
    <div class="mbsc-padding md-header">
        Pick the day for your next visit
    </div>
    <div class="mbsc-form-group-inset">
        <label>    
            <input mbsc-slider id="slider" type="range" value="0" mobiscroll-slider="sliderSettings" data-step-labels="[0, 16.66, 33.32, 50, 66.64, 83.3, 100]" step="16.66" data-highlight="false" />
        </label>
    </div>
    <div class="mbsc-padding">
        <div class="md-check-cont"><span class="md-check mbsc-ic mbsc-ic-material-check"></span></div>
        We’ll see each other next week on
        <div><a href="" class="md-date">Feb 1</a> @ 5PM</div>
    </div>

</div>
.mbsc-padding.md-header {
    font-size: 1.25em;
    font-weight: 400;
    padding: .8em .8em .4em .8em;
}

.md-dateslider .mbsc-padding {
    text-align: center;
}

.md-check-cont {
    padding: 8px 0 16px 0;
}

.md-check {
    display: inline-block;
    width: 32px;
    height: 32px;
    font-size: 26px;
    padding: .2em;
    line-height: 23px;
    border-radius: 33px;
    -webkit-box-sizing: border-box;
    box-sizing: border-box;
}

Slider & progress - Progress

Change demo
Progress
Javascript Progress indicator with custom steps, labels, icons, percentage and event hooks for programmatic interaction. Plain JS api for usage everywhere.
Copy code

Slider & progress - Rating

Change demo
Rating
Javascript Rating examples with stars, supporting icons, fractional values, custom ranges and colors. For desktop & mobile. Plain JS api for usage everywhere.
Copy code

Looking for something you didn't see or have a sales question?
Ask us about it, we're here to help.

Customize & try demos locally
Sign in or start your free trial

What framework are you using?

Javascript
jQuery
AngularJS
Angular
React
Other
Ionic Angular
Email address

Install demo in your app
Follow this quick, two minute install guide
Close window

Step 1.Install the Mobiscroll CLI from npm

Copy command
$ npm install -g @mobiscroll/cli

The CLI makes configuring your apps super simple 👍

Step 2.Run the following command in the root folder of your Ionic project

Copy command
$ mobiscroll config ionic --version=4

You will be prompted to log in with your mobiscroll account. Set your password here

Create an Ionic 3 & Mobiscroll starter with the CLI:

$ mobiscroll start ionic myStarter

Run this command for Ionic 4 & Mobiscroll starter:

$ mobiscroll start ionic-angular myStarter

Step 3.Copy the code into your app.

Copy TS
Copy HTML
Copy CSS
Copy Module

Step 4.Run ionic serve in the root folder of your app 🎉

Copy command
$ ionic serve

And voilà, everything should be running smoothly.

Install demo in your app
Follow this quick, two minute install guide
Close window

Step 1.Install the Mobiscroll CLI from npm

Copy command
$ npm install -g @mobiscroll/cli

The CLI makes configuring your apps super simple 👍

Step 2.Run the following command in the root folder of your Ionic project

Copy command
$ mobiscroll config ionic --version=4

You will be prompted to log in with your mobiscroll account. Set your password here

Run this command for Ionic 5 & React Mobiscroll starter:

$ mobiscroll start react-ionic myStarter

Step 3.Copy the code into your app.

Copy TSX
Copy CSS

Step 4.Run ionic serve in the root folder of your app 🎉

Copy command
$ ionic serve

And voilà, everything should be running smoothly.

Customize & try demos locally
How would you like to do it?
Install demo in your app
Follow this quick, two minute install guide
Close window

Step 1.Install the Mobiscroll CLI from npm

Copy command
$ npm install -g @mobiscroll/cli

The CLI makes configuring your apps super simple 👍

Step 2.Run the following command in the root folder of your Angular project

Copy command
$ mobiscroll config angular --version=4

You will be prompted to log in with your mobiscroll account. Set your password here

Step 3.Copy the code into your app. HTML goes into the markup, TS into Typescript.

Copy TS
Copy HTML
Copy CSS
Copy Module

Step 4.Run ng serve in the root folder of your app 🎉

Copy command
$ ng serve

And voilà, everything should be running smoothly.

Thanks for downloading
Try and customize the app locally

Extract the zip file and run the project like any Ionic app. Make sure to have Ionic CLI installed and open the terminal in the app root folder.

Step 1. Run in root folder
$ npm install
Step 2. Start the app
$ ionic serve

Let us know if we can help and enjoy!

Thanks for downloading
Customize demos locally

Everything is set up so that you can dig in right away and start exploring.

Please extract the zip file and simply open the demos in your favorite browser. For instructions on how to install Mobiscroll in your project follow this guide.


Let us know if we can help and enjoy! 👍

Thanks for downloading
Customize demos locally

Please extract the zip file and run the project like any Angular CLI app. Make sure to have the Angular CLI installed.

For installation and usage, extract the zip file and open a terminal window and follow these steps.

Step 1. Run in root folder
$ npm install
Step 2. Start the app
$ ng serve --open

Let us know if we can help and enjoy! 👍

Thanks for downloading
Customize demos locally

Everything is set up so that you can dig in right away and start exploring.

We have set up a trial so that you can try the demos locally.

The easiest way to get started is to follow the installation steps and by grabbing the code directly from the demo page. Let us know if we can help and enjoy! 👍

You'll find a fully functional Kitchen-sink Ionic app in the zip file.

Thanks for downloading
Customize demos locally

The demos are using Babel's in-browser ES6 and JSX transformer.

Please extract the zip file and open the demos in your browser.
For instructions on how to install Mobiscroll in your project follow this guide.

Let us know if we can help and enjoy!

Customize & try this demo locally
Sign in or start your free trial

We have to set you up with a trial for this to run 👍

Email address

Need to update your password?
Demos
Theme Select
Mobiscroll
Material
Material Dark
iOS
iOS Dark
Windows
Windows Dark
Language Locale
See other demos and change options
Theme
Locale
See other demos

Slider & progress for Angular and Ionic Framework
Use the slider and progress components to let users pick values from a continuous or discrete range, rate items and clearly give progress feedback to users.
With a wide variety of customization options you can easily fine-tune the UX to the need of your users. Interact ans et values programmatically on the fly.
Use it for picking values, showing progress with the following features:
- Single and multiple handle sliders
- Continuous slider
- Discrete slider
- Custom steps for slider and progress
- Custom icon support
- Rating slider
- Color preset support
Forms demos available for other frameworks.
Viewing demos & code for
Angular and Ionic Slider & progress
Date Slider
Date Slider
Change the theme setting here
Change the language and localization settings here
Slider & progress - Slider
Slider & progress - Date Slider
import { Component, OnInit } from '@angular/core';
import { MbscFormOptions } from '@mobiscroll/angular';
const dayNames = ['Sun', 'Mon', 'Tue', 'Wed', 'Thu', 'Fri', 'Sat'];
const monthNames = ['Jan', 'Feb', 'Mar', 'Apr', 'May', 'Jun', 'Jul', 'Aug', 'Sep', 'Oct', 'Nov', 'Dec'];
const stepLabels = [0, 16.66, 33.32, 50, 66.64, 83.3, 100];
const d = new Date();
const diff = d.getDate() - d.getDay();
const nextSunday = new Date(d.setDate(diff + 7));
const nextWeek = {};
@Component({
selector: 'app-root',
templateUrl: './app.component.html'
})
export class AppComponent implements OnInit {
dateText: string;
formSettings: MbscFormOptions = {
lang: ' '
theme: 'ios',
themeVariant: 'light'
};
sliderSettings: MbscFormOptions = {
onInit: function (event, inst) {
const slider = document.getElementById('slider');
const labels = slider.querySelectorAll('.mbsc-progress-step-label');
for (let i = 0; i < labels.length; ++i) {
labels[i].innerHTML = dayNames[i];
}
}.bind(this)
};
ngOnInit() {
for (let i = 0; i < stepLabels.length; ++i) {
// generate nextWeek object
nextWeek[Math.round(stepLabels[i])] = new Date(nextSunday.getFullYear(), nextSunday.getMonth(), nextSunday.getDate() + i);
}
this.setText(nextSunday);
}
setText(dt: Date) {
this.dateText = monthNames[d.getMonth()] + ' ' + dt.getDate();
}
onChange(value: number) {
this.setText(nextWeek[Math.round(value)]);
}
}
<mbsc-form [options]="formSettings" class="md-dateslider">
<div class="mbsc-padding md-header">
Pick the day for your next visit
</div>
<mbsc-form-group inset>
<mbsc-slider id="slider" highlight="false" value="0" step-labels="[0, 16.66, 33.32, 50, 66.64, 83.3, 100]" step="16.66" [options]="sliderSettings" (valueChange)="onChange($event)"></mbsc-slider>
</mbsc-form-group>
<div class="mbsc-padding">
<div class="md-check-cont"><span class="md-check mbsc-ic mbsc-ic-material-check"></span></div>
We’ll see each other next week on
<div><a href="#" class="md-date">{{dateText}}</a> @ 5PM</div>
</div>
</mbsc-form>
.mbsc-padding.md-header {
font-size: 1.25em;
font-weight: 400;
padding: .8em .8em .4em .8em;
}
.md-dateslider .mbsc-padding {
text-align: center;
}
.md-check-cont {
padding: 8px 0 16px 0;
}
.md-check {
display: inline-block;
width: 32px;
height: 32px;
font-size: 26px;
padding: .2em;
line-height: 23px;
border-radius: 33px;
-webkit-box-sizing: border-box;
box-sizing: border-box;
}
import { BrowserModule } from '@angular/platform-browser';
import { NgModule } from '@angular/core';
import { HttpClientModule, HttpClientJsonpModule } from '@angular/common/http';
import { FormsModule, ReactiveFormsModule } from '@angular/forms';
import { MbscModule } from '@mobiscroll/angular';
import { AppComponent } from './app.component';
@NgModule({
declarations: [
AppComponent
],
imports: [
BrowserModule,
MbscModule,
FormsModule,
ReactiveFormsModule,
HttpClientModule,
HttpClientJsonpModule
],
bootstrap: [AppComponent]
})
export class AppModule { }
Slider & progress - Progress
Slider & progress - Rating
Looking for something you didn't see or have a sales question?
Ask us about it, we're here to help.
What framework are you using?
Step 1.Install the Mobiscroll CLI from npm
$ npm install -g @mobiscroll/cli
The CLI makes configuring your apps super simple 👍
Step 2.Run the following command in the root folder of your Ionic project
$ mobiscroll config ionic --version=4
You will be prompted to log in with your mobiscroll account. Set your password here
Create an Ionic 3 & Mobiscroll starter with the CLI:
Run this command for Ionic 4 & Mobiscroll starter:
Step 3.Copy the code into your app.
Step 4.Run ionic serve in the root folder of your app 🎉
$ ionic serve
And voilà, everything should be running smoothly.
Step 1.Install the Mobiscroll CLI from npm
$ npm install -g @mobiscroll/cli
The CLI makes configuring your apps super simple 👍
Step 2.Run the following command in the root folder of your Ionic project
$ mobiscroll config ionic --version=4
You will be prompted to log in with your mobiscroll account. Set your password here
Run this command for Ionic 5 & React Mobiscroll starter:
Step 4.Run ionic serve in the root folder of your app 🎉
$ ionic serve
And voilà, everything should be running smoothly.
Step 1.Install the Mobiscroll CLI from npm
$ npm install -g @mobiscroll/cli
The CLI makes configuring your apps super simple 👍
Step 2.Run the following command in the root folder of your Angular project
$ mobiscroll config angular --version=4
You will be prompted to log in with your mobiscroll account. Set your password here
Step 3.Copy the code into your app. HTML goes into the markup, TS into Typescript.
Step 4.Run ng serve in the root folder of your app 🎉
$ ng serve
And voilà, everything should be running smoothly.
Extract the zip file and run the project like any Ionic app. Make sure to have Ionic CLI installed and open the terminal in the app root folder.
$ npm install
$ ionic serve
Let us know if we can help and enjoy!
Everything is set up so that you can dig in right away and start exploring.
Please extract the zip file and simply open the demos in your favorite browser.
For instructions on how to install Mobiscroll in your project
follow this guide.
Let us know if we can help and enjoy! 👍
Please extract the zip file and run the project like any Angular CLI app.
Make sure to have the Angular CLI installed.
For installation and usage, extract the zip file and open a terminal window and follow these steps.
$ npm install
$ ng serve --open
Let us know if we can help and enjoy! 👍
Everything is set up so that you can dig in right away and start exploring.
We have set up a trial so that you can try the demos locally.
The easiest way to get started is to follow the installation steps and by
grabbing the code directly from the demo page. Let us know if we can help and enjoy! 👍
You'll find a fully functional Kitchen-sink Ionic app in the zip file.
The demos are using Babel's in-browser ES6 and JSX transformer.
Please extract the zip file and open the demos in your browser.
For instructions on how to install Mobiscroll in your project
follow this guide.
Let us know if we can help and enjoy!
We have to set you up with a trial for this to run 👍
Enter a new password and hit the button below to change it!
You are setting a password for the account
Your password has been changed!

Slider & progress for React

Updated on May 17, 2021
Learn More

Use the slider and progress components to let users pick values from a continuous or discrete range, rate items and clearly give progress feedback to users.

With a wide variety of customization options you can easily fine-tune the UX to the need of your users. Interact ans et values programmatically on the fly.

Use it for picking values, showing progress with the following features:

  • Single and multiple handle sliders
  • Continuous slider
  • Discrete slider
  • Custom steps for slider and progress
  • Custom icon support
  • Rating slider
  • Color preset support


Forms demos available for other frameworks.

Viewing demos & code for

React Slider & progress Slider & progress for React

Slider & progress - Slider

Change demo
Slider
React Slider examples with single, multiple handles supporting icons, inline values, steps, floating and discrete slider. For React and Next.JS.
Copy code

Slider & progress - Date Slider

Change demo
Date Slider
React Slider demo as a date picker. Use this for picking the day of week where simplicity is essential. For React and Next.JS.
Copy code
import mobiscroll from '@mobiscroll/react';
import '@mobiscroll/react/dist/css/mobiscroll.min.css';

class App extends React.Component {
    constructor(props) {
        super(props);
        
         const d = new Date();
         const diff = d.getDate() - d.getDay();
            
        this.nextSunday = new Date(d.setDate(diff + 7));
        this.monthNames = ['Jan', 'Feb', 'Mar', 'Apr', 'May', 'Jun', 'Jul', 'Aug', 'Sep', 'Oct', 'Nov', 'Dec'];
        
        this.state = {
            val: new Date(),
            nextSunday: null,
            
            nextMeeting:  this.monthNames[this.nextSunday.getMonth()] + " " + this.nextSunday.getDate(),
            selectedItem: 0
        };
        
    }
    
    updateLabels = () => {
        const labels = ReactDOM.findDOMNode(this.slider).parentNode.querySelectorAll('.mbsc-progress-step-label');
        const dayNames = ['Sun', 'Mon', 'Tue', 'Wed', 'Thu', 'Fri', 'Sat'];
            
        for (let i = 0; i < labels.length; ++i) {
            labels[i].innerHTML = dayNames[i];
        }
    }
    
    componentDidMount = () => {
        this.updateLabels();
    }
    
    componentDidUpdate = () => {
        this.updateLabels();
    }
    
    onSliderChange = (value) => {
        const meeting = new Date(this.nextSunday);
        meeting.setDate(meeting.getDate() + value);
        
        this.setState({ 
            selectedItem: value,
            nextMeeting: this.monthNames[meeting.getMonth()] + " " + meeting.getDate()
        });
    }
    
    setRef = (comp) => {
        this.slider = comp;
    }
    
    render() {
        return (
			<mobiscroll.Form theme=" "  themeVariant=" " lang=" "  className="md-dateslider">
				<div className="mbsc-padding md-header">
					Pick the day for your next visit
				</div>
                <mobiscroll.FormGroup inset>
					<mobiscroll.Slider 
                        ref={this.setRef}
						value={this.state.selectedItem} 
                        onChange={this.onSliderChange}
						data-step-labels="[0, 1, 2, 3, 4, 5, 6]"
						step="1"
                        min="0"
                        max="6"
						theme=" " 
						themeVariant=" "
                        lang=" "
						data-highlight="false"
					/>
				</mobiscroll.FormGroup>
				<div className="mbsc-padding">
					<div className="md-check-cont"><span className="md-check mbsc-ic mbsc-ic-material-check"></span></div>
					We’ll see each other next week on
					<div><a className="md-date">{this.state.nextMeeting}</a> @ 5PM</div>
				</div>
			</mobiscroll.Form>
        );
    }    
}

<div id="content"></div>
.mbsc-padding.md-header {
    font-size: 1.25em;
    font-weight: 400;
    padding: .8em .8em .4em .8em;
}

.md-dateslider .mbsc-padding {
    text-align: center;
}

.md-check-cont {
    padding: 8px 0 16px 0;
}

.md-check {
    display: inline-block;
    width: 32px;
    height: 32px;
    font-size: 26px;
    padding: .2em;
    line-height: 23px;
    border-radius: 33px;
    -webkit-box-sizing: border-box;
    box-sizing: border-box;
}

Slider & progress - Progress

Change demo
Progress
React Progress indicator with custom steps, labels, icons, percentage and event hooks for programmatic interaction. For React and Next.JS.
Copy code

Slider & progress - Rating

Change demo
Rating
React Rating examples with stars, supporting icons, fractional values, custom ranges and colors. For desktop & mobile. For React and Next.JS.
Copy code

Looking for something you didn't see or have a sales question?
Ask us about it, we're here to help.

Customize & try demos locally
Sign in or start your free trial

What framework are you using?

Javascript
jQuery
AngularJS
Angular
React
Other
Ionic Angular
Email address

Install demo in your app
Follow this quick, two minute install guide
Close window

Step 1.Install the Mobiscroll CLI from npm

Copy command
$ npm install -g @mobiscroll/cli

The CLI makes configuring your apps super simple 👍

Step 2.Run the following command in the root folder of your Ionic project

Copy command
$ mobiscroll config ionic --version=4

You will be prompted to log in with your mobiscroll account. Set your password here

Create an Ionic 3 & Mobiscroll starter with the CLI:

$ mobiscroll start ionic myStarter

Run this command for Ionic 4 & Mobiscroll starter:

$ mobiscroll start ionic-angular myStarter

Step 3.Copy the code into your app.

Copy TS
Copy HTML
Copy CSS
Copy Module

Step 4.Run ionic serve in the root folder of your app 🎉

Copy command
$ ionic serve

And voilà, everything should be running smoothly.

Install demo in your app
Follow this quick, two minute install guide
Close window

Step 1.Install the Mobiscroll CLI from npm

Copy command
$ npm install -g @mobiscroll/cli

The CLI makes configuring your apps super simple 👍

Step 2.Run the following command in the root folder of your Ionic project

Copy command
$ mobiscroll config ionic --version=4

You will be prompted to log in with your mobiscroll account. Set your password here

Run this command for Ionic 5 & React Mobiscroll starter:

$ mobiscroll start react-ionic myStarter

Step 3.Copy the code into your app.

Copy TSX
Copy CSS

Step 4.Run ionic serve in the root folder of your app 🎉

Copy command
$ ionic serve

And voilà, everything should be running smoothly.

Customize & try demos locally
How would you like to do it?
Install demo in your app
Follow this quick, two minute install guide
Close window

Step 1.Install the Mobiscroll CLI from npm

Copy command
$ npm install -g @mobiscroll/cli

The CLI makes configuring your apps super simple 👍

Step 2.Run the following command in the root folder of your Angular project

Copy command
$ mobiscroll config angular --version=4

You will be prompted to log in with your mobiscroll account. Set your password here

Step 3.Copy the code into your app. HTML goes into the markup, TS into Typescript.

Copy TS
Copy HTML
Copy CSS
Copy Module

Step 4.Run ng serve in the root folder of your app 🎉

Copy command
$ ng serve

And voilà, everything should be running smoothly.

Thanks for downloading
Try and customize the app locally

Extract the zip file and run the project like any Ionic app. Make sure to have Ionic CLI installed and open the terminal in the app root folder.

Step 1. Run in root folder
$ npm install
Step 2. Start the app
$ ionic serve

Let us know if we can help and enjoy!

Thanks for downloading
Customize demos locally

Everything is set up so that you can dig in right away and start exploring.

Please extract the zip file and simply open the demos in your favorite browser. For instructions on how to install Mobiscroll in your project follow this guide.


Let us know if we can help and enjoy! 👍

Thanks for downloading
Customize demos locally

Please extract the zip file and run the project like any Angular CLI app. Make sure to have the Angular CLI installed.

For installation and usage, extract the zip file and open a terminal window and follow these steps.

Step 1. Run in root folder
$ npm install
Step 2. Start the app
$ ng serve --open

Let us know if we can help and enjoy! 👍

Thanks for downloading
Customize demos locally

Everything is set up so that you can dig in right away and start exploring.

We have set up a trial so that you can try the demos locally.

The easiest way to get started is to follow the installation steps and by grabbing the code directly from the demo page. Let us know if we can help and enjoy! 👍

You'll find a fully functional Kitchen-sink Ionic app in the zip file.

Thanks for downloading
Customize demos locally

The demos are using Babel's in-browser ES6 and JSX transformer.

Please extract the zip file and open the demos in your browser.
For instructions on how to install Mobiscroll in your project follow this guide.

Let us know if we can help and enjoy!

Customize & try this demo locally
Sign in or start your free trial

We have to set you up with a trial for this to run 👍

Email address

Need to update your password?
Demos
Theme Select
Mobiscroll
Material
Material Dark
iOS
iOS Dark
Windows
Windows Dark
Language Locale
See other demos and change options
Theme
Locale
See other demos